## ros-noetic-moveit-setup-assistant 1.1.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_setup_assistant)

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED COMPONENTS thread filesystem system program_options)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  moveit_ros_visualization
  rviz
  rosconsole
  roscpp
  urdf
  srdfdom
)
moveit_build_options()

find_package(ompl REQUIRED)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${OMPL_INCLUDE_DIRS})
include_directories(include)

# Qt Stuff
if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
  include(${QT_USE_FILE})
else()
  find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
  set(QT_LIBRARIES Qt5::Widgets)
endif()
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

# Support new yaml-cpp API.
find_package(PkgConfig)
pkg_check_modules(YAMLCPP REQUIRED yaml-cpp>=0.5)
include_directories(SYSTEM ${YAMLCPP_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_tools
  CATKIN_DEPENDS
    moveit_ros_planning
    moveit_ros_visualization
    roscpp
)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  src/widgets/navigation_widget.h
  src/widgets/header_widget.h
  src/widgets/setup_assistant_widget.h
  src/widgets/start_screen_widget.h
  src/widgets/planning_groups_widget.h
  src/widgets/double_list_widget.h
  src/widgets/kinematic_chain_widget.h
  src/widgets/group_edit_widget.h
  src/widgets/default_collisions_widget.h
  src/widgets/robot_poses_widget.h
  src/widgets/end_effectors_widget.h
  src/widgets/virtual_joints_widget.h
  src/widgets/passive_joints_widget.h
  src/widgets/perception_widget.h
  src/widgets/controllers_widget.h
  src/widgets/controller_edit_widget.h
  src/widgets/configuration_files_widget.h
  src/widgets/setup_screen_widget.h
  src/widgets/simulation_widget.h
  src/widgets/author_information_widget.h
)

# Tools Library
add_library(${PROJECT_NAME}_tools
  src/tools/compute_default_collisions.cpp
  src/tools/moveit_config_data.cpp
  src/tools/xml_manipulation.cpp
  src/tools/collision_linear_model.cpp
  src/tools/collision_matrix_model.cpp
  src/tools/rotated_header_view.cpp
  src/tools/xml_syntax_highlighter.cpp
)
set_target_properties(${PROJECT_NAME}_tools PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_tools
  ${YAMLCPP_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${QT_LIBRARIES}
)

# Main Widgets Library - all screens (navigation options)
add_library(${PROJECT_NAME}_widgets
  src/widgets/start_screen_widget.cpp
  src/widgets/planning_groups_widget.cpp
  src/widgets/double_list_widget.cpp
  src/widgets/kinematic_chain_widget.cpp
  src/widgets/group_edit_widget.cpp
  src/widgets/default_collisions_widget.cpp
  src/widgets/robot_poses_widget.cpp
  src/widgets/end_effectors_widget.cpp
  src/widgets/virtual_joints_widget.cpp
  src/widgets/passive_joints_widget.cpp
  src/widgets/perception_widget.cpp
  src/widgets/configuration_files_widget.cpp
  src/widgets/controllers_widget.cpp
  src/widgets/controller_edit_widget.cpp
  src/widgets/navigation_widget.cpp
  src/widgets/header_widget.cpp
  src/widgets/setup_assistant_widget.cpp
  src/widgets/setup_screen_widget.cpp
  src/widgets/simulation_widget.cpp
  src/widgets/author_information_widget.cpp
  ${HEADERS}
)
set_target_properties(${PROJECT_NAME}_widgets PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME}_widgets
  ${PROJECT_NAME}_tools
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# executables
add_executable(${PROJECT_NAME} src/setup_assistant_main.cpp)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  ${QT_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} log4cxx)

add_executable(${PROJECT_NAME}_updater src/collisions_updater.cpp )
target_link_libraries(${PROJECT_NAME}_updater
  ${PROJECT_NAME}_tools ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${PROJECT_NAME}_updater
                      PROPERTIES OUTPUT_NAME collisions_updater
                      PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_updater
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS ${PROJECT_NAME}_widgets ${PROJECT_NAME}_tools
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Unit tests
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_reading_writing_config test/moveit_config_data_test.cpp)
  target_link_libraries(test_reading_writing_config ${PROJECT_NAME}_tools)
endif()

=== templates/moveit_config_pkg_template/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project([GENERATED_PACKAGE_NAME])

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## ros-noetic-moveit-setup-assistant 1.1.11

=== debian/changelog ===
ros-noetic-moveit-setup-assistant (1.1.11-1buster) buster; urgency=high

  * MSA: Cleanup SimulationWidget (#3281 <https://github.com/ros-planning/moveit/issues/3281>)
    
      * Don't rewrite ``gazebo.launch`` after user changes
      * Only offer to write ``gazebo\_*.urdf`` if content would be non-empty
      * Clarify usage
      * Graceful opening of editor
      * Disable "overwrite" button if there are no changes
      * If overwriting fails: ``write gazebo\_*.urdf`` as fallback
    
  * Remove capabilities declaration from pipeline configs (#3274 <https://github.com/ros-planning/moveit/issues/3274>)Capabilities are global to the ``move_group`` node and not specific to pipleline configs.
    As the latter ones load their parameters into a namespace, e.g. ``/move_group/planning_pipelines/ompl/*``,
    loading a capability as suggested by the comments, didn't have any effect.
  * Expose ``world_name`` and ``world_pose`` args in ``*gazebo.launch`` (#3238 <https://github.com/ros-planning/moveit/issues/3238>)
  * run-depend on all default MoveIt planners
  * Start ``robot_state_publisher`` in ``gazebo.launch`` (#3236 <https://github.com/ros-planning/moveit/issues/3236>)
  * Generalize sizing of joint list widgets (#3219 <https://github.com/ros-planning/moveit/issues/3219>)
  * Contributors: Robert Haschke, Robert Kampf

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * MSA templates: replace hard-coded package name
  * Extended ACM editing in MSA (#3093 <https://github.com/ros-planning/moveit/issues/3093>)
    
      * Allow disabling/enabling links by default
      * Use matrix view by default
    
  * Optionally enable dynamics monitoring in move_group node (#3137 <https://github.com/ros-planning/moveit/issues/3137>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Improve Gazebo-compatible URDF generation in MSA (#3081 <https://github.com/ros-planning/moveit/issues/3081>)
  * Contributors: AM4283, Michael Görner, Robert Haschke, rickstaa

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.9-1buster) buster; urgency=high

  * Fix collisions_updater's set comparison (#3076 <https://github.com/ros-planning/moveit/issues/3076>)
  * MSA: boost::bind -> std::bind (#3039 <https://github.com/ros-planning/moveit/issues/3039>)
  * Do not automatically load robot description in move_group.launch (#3065 <https://github.com/ros-planning/moveit/issues/3065>)
  * Contributors: Jochen Sprickerhof, Loy van Beek, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.8-1buster) buster; urgency=high

  * Implement ACM defaults as a fallback instead of an override (#2938 <https://github.com/ros-planning/moveit/issues/2938>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Move MoveItConfigData::setCollisionLinkPairs to collisions_updater.cpp
  * Contributors: Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.7-1buster) buster; urgency=high

  * Pass xacro_args to both, urdf and srdf loading (#3013 <https://github.com/ros-planning/moveit/issues/3013>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Update timestamp of .setup_assistant file when writing files (#2964 <https://github.com/ros-planning/moveit/issues/2964>)
  * Upload controller_list for simple controller manager (#2954 <https://github.com/ros-planning/moveit/issues/2954>)
  * Contributors: Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Correctly state not-found package name
  * Finish setup_assistant.launch when MSA finished (#2749 <https://github.com/ros-planning/moveit/issues/2749>)
  * **Enabling the following new features requires recreation of your robot's MoveIt config with the new MSA!**
  * Various improvements (#2932 <https://github.com/ros-planning/moveit/issues/2932>)
    
      * Define default planner for Pilz pipeline
      * Allow checking/unchecking multiple files for generation
      * ``moveit.rviz``: Use Orbit view controller
      * Rename launch argument ``execution_type`` -> ``fake_execution_type`` to clarify that this parameter is only used for fake controllers
      * ``demo.launch``: Start joint + robot-state publishers in fake mode only
      * Modularize ``demo_gazebo.launch`` reusing ``demo.launch``
      * ``gazebo.launch``
        
          * Delay unpause to ensure that the robot's initial pose is actually held
          * Allow initial_joint_positions
          * Load URDF via xacro if neccessary
        
      * Rework ``moveit_controller_manager`` handlingSo far, ``move_group.launch`` distinguished between fake and real-robot operation only.
        The boolean launch-file argument ``fake_execution`` was translated to ``moveit_controller_manager = [fake|robot]``
        in ``move_group.launch`` and then further translated to the actual plugin name.However, MoveIt provides 3 basic controller manager plugins:
        


=== debian/control ===
Source: ros-noetic-moveit-setup-assistant
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libogre-1.9-dev, libqt5opengl5-dev, libyaml-cpp-dev, qtbase5-dev, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-visualization, ros-noetic-ompl, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rosunit <!nocheck>, ros-noetic-rviz, ros-noetic-srdfdom (>> 0.3.1), ros-noetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-setup-assistant
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-noetic-moveit-core, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-visualization, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-srdfdom (>> 0.3.1), ros-noetic-urdf, ros-noetic-xacro
Description: Generates a configuration package that makes it easy to use MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-setup-assistant//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-moveit-setup-assistant 1.1.13

=== debian/changelog ===
ros-noetic-moveit-setup-assistant (1.1.13-2focal) focal; urgency=high

  * Fix OMPL's TRRT parameter names (#3461 <https://github.com/ros-planning/moveit/issues/3461>)
  * Contributors: VideoSystemsTech

 -- Dave Coleman <dave@picknik.ai>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.12-2focal) focal; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Allow configuration of goal tolerances in kinematics.yaml (#3409 <https://github.com/ros-planning/moveit/issues/3409>)
  * MSA: Fix 3D Perception widget (#3399 <https://github.com/ros-planning/moveit/issues/3399>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Contributors: Michael Görner, Robert Haschke, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Fri, 12 May 2023 22:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.11-2focal) focal; urgency=high

  * MSA: Cleanup SimulationWidget (#3281 <https://github.com/ros-planning/moveit/issues/3281>)
    
      * Don't rewrite ``gazebo.launch`` after user changes
      * Only offer to write ``gazebo\_*.urdf`` if content would be non-empty
      * Clarify usage
      * Graceful opening of editor
      * Disable "overwrite" button if there are no changes
      * If overwriting fails: ``write gazebo\_*.urdf`` as fallback
    
  * Remove capabilities declaration from pipeline configs (#3274 <https://github.com/ros-planning/moveit/issues/3274>)Capabilities are global to the ``move_group`` node and not specific to pipleline configs.
    As the latter ones load their parameters into a namespace, e.g. ``/move_group/planning_pipelines/ompl/*``,
    loading a capability as suggested by the comments, didn't have any effect.
  * Expose ``world_name`` and ``world_pose`` args in ``*gazebo.launch`` (#3238 <https://github.com/ros-planning/moveit/issues/3238>)
  * run-depend on all default MoveIt planners
  * Start ``robot_state_publisher`` in ``gazebo.launch`` (#3236 <https://github.com/ros-planning/moveit/issues/3236>)
  * Generalize sizing of joint list widgets (#3219 <https://github.com/ros-planning/moveit/issues/3219>)
  * Contributors: Robert Haschke, Robert Kampf

 -- Dave Coleman <dave@picknik.ai>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.10-2focal) focal; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * MSA templates: replace hard-coded package name
  * Extended ACM editing in MSA (#3093 <https://github.com/ros-planning/moveit/issues/3093>)
    
      * Allow disabling/enabling links by default
      * Use matrix view by default
    
  * Optionally enable dynamics monitoring in move_group node (#3137 <https://github.com/ros-planning/moveit/issues/3137>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Improve Gazebo-compatible URDF generation in MSA (#3081 <https://github.com/ros-planning/moveit/issues/3081>)
  * Contributors: AM4283, Michael Görner, Robert Haschke, rickstaa

 -- Dave Coleman <dave@picknik.ai>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.9-2focal) focal; urgency=high

  * Fix collisions_updater's set comparison (#3076 <https://github.com/ros-planning/moveit/issues/3076>)
  * MSA: boost::bind -> std::bind (#3039 <https://github.com/ros-planning/moveit/issues/3039>)
  * Do not automatically load robot description in move_group.launch (#3065 <https://github.com/ros-planning/moveit/issues/3065>)
  * Contributors: Jochen Sprickerhof, Loy van Beek, Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.8-2focal) focal; urgency=high

  * Implement ACM defaults as a fallback instead of an override (#2938 <https://github.com/ros-planning/moveit/issues/2938>)
  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Move MoveItConfigData::setCollisionLinkPairs to collisions_updater.cpp
  * Contributors: Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.7-2focal) focal; urgency=high

  * Pass xacro_args to both, urdf and srdf loading (#3013 <https://github.com/ros-planning/moveit/issues/3013>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Update timestamp of .setup_assistant file when writing files (#2964 <https://github.com/ros-planning/moveit/issues/2964>)
  * Upload controller_list for simple controller manager (#2954 <https://github.com/ros-planning/moveit/issues/2954>)
  * Contributors: Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-setup-assistant (1.1.6-2focal) focal; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Correctly state not-found package name
  * Finish setup_assistant.launch when MSA finished (#2749 <https://github.com/ros-planning/moveit/issues/2749>)
  * **Enabling the following new features requires recreation of your robot's MoveIt config with the new MSA!**
  * Various improvements (#2932 <https://github.com/ros-planning/moveit/issues/2932>)
    
      * Define default planner for Pilz pipeline
      * Allow checking/unchecking multiple files for generation
      * ``moveit.rviz``: Use Orbit view controller
      * Rename launch argument ``execution_type`` -> ``fake_execution_type`` to clarify that this parameter is only used for fake controllers
